using UnityEngine;


namespace Mod
{
	public class Mod
	{
		public static void Main()
		{						
				ModAPI.Register(
			    new Modification()
				{
				    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "[F] AK-74",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/74.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK0100Slide = Instance.transform.Find("Slide");
                        AK0100Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bolt.png", 6f);
						
						AK0100Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("74/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						

						
						
						customCartridge.Recoil *= 0.5f;
						
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("74/ak.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("ak74.mp3"),

                        };
			        }
                }
            );
			
			ModAPI.Register(
			    new Modification()
				{
				    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "[F] AKS-74",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/s74.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK0100Slide = Instance.transform.Find("Slide");
                        AK0100Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bolt.png", 6f);
						
						AK0100Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("s74/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						

						
						
						customCartridge.Recoil *= 0.5f;
						
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("s74/ak.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("ak74.mp3"),

                        };
			        }
                }
            );
			
			ModAPI.Register(
			    new Modification()
				{
				    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "[F] AK-74M",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/74m.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK0100Slide = Instance.transform.Find("Slide");
                        AK0100Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bolt.png", 6f);
						
						AK0100Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("74m/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						

						
						
						customCartridge.Recoil *= 0.5f;
						
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("74m/ak.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("ak74m.mp3"),

                        };
			        }
                }
            );
			
			ModAPI.Register(
			    new Modification()
				{
			        OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "[F] AK-12 (2012)",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/12.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01200Slide = Instance.transform.Find("Slide");
                        AK01200Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ak12bolt.png", 6f);
						
						AK01200Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("12/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						

						
						
						customCartridge.Recoil *= 0.5f;
						
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("12/ak.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("modernaks.wav"),

                        };
			        }
                }
            );
			
			ModAPI.Register(
			    new Modification()
				{
			        OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "[F] AK-101",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/101.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01200Slide = Instance.transform.Find("Slide");
                        AK01200Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bolt.png", 6f);
						
						AK01200Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("101/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						

						
						
						customCartridge.Recoil *= 0.5f;
						
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("101/ak.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("modernaks.wav"),

                        };
			        }
                }
            );
			
			ModAPI.Register(
			    new Modification()
				{
			        OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "[F] AS VAL",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/asval.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01200Slide = Instance.transform.Find("Slide");
                        AK01200Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("asvalbolt.png", 6f);
						
						AK01200Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("asval/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						

						
						
						customCartridge.Recoil *= 0.5f;
						
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("asval/gun.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("asval.mp3"),

                        };
			        }
                }
            );
			
			ModAPI.Register(
			    new Modification()
				{
			        OriginalItem = ModAPI.FindSpawnable("Grenade Launcher"),
					NameOverride = "[F] GP25 Grenade Launcher",
					NameToOrderByOverride = "!",
					DescriptionOverride = "bobm (attach to ak)",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/gp25.png"),
					AfterSpawn = (Instance) =>
					{						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("gp25.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Default";										
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

                        
					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.1000f, -0.1000f);
                     
			        }
                }
            );
			
			ModAPI.Register(
			    new Modification()
				{
			        OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "[F] AK-400",
					NameToOrderByOverride = "!",
					DescriptionOverride = "the boss",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/400.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01200Slide = Instance.transform.Find("Slide");
                        AK01200Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bolt.png", 6f);
						
						AK01200Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("400/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						

						
						
						customCartridge.Recoil *= 0.5f;
						
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("400/ak.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("modernaks.wav"),

                        };
			        }
                }
            );
			
			
	        ModAPI.Register(
			    new Modification()
				{
		            OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "[F] AK-102",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/102.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01100Slide = Instance.transform.Find("Slide");
                        AK01100Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bolt.png", 6f);
						
						AK01100Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("102/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						

						
						customCartridge.Recoil *= 0.5f;
						
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("102/ak.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.5000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("sound.mp3"),

                        };
			        }
                }
            );
			
			ModAPI.Register(
			    new Modification()
				{
		            OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "[F] AK-74u",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/74u.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01100Slide = Instance.transform.Find("Slide");
                        AK01100Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bolt.png", 6f);
						
						AK01100Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("74u/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";

						customCartridge.Recoil *= 0.5f;
						
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("74u/ak.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.4800f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("sound.mp3"),

                        };
			        }
                }
            );
			
			
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Pistol"),
					NameOverride = "[F] MP-443 Grach",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/mp443.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01300Slide = Instance.transform.Find("Slide");
                        AK01300Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mp443/slide.png", 10f);
						
						AK01300Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("mp443/mp.png", 10f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						customCartridge.Recoil *= 1f;

						
						firearm.casingPosition = new Vector3(0f,0.1f);						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.2000f, 0.1000f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("mp443.mp3"),

                        };
			        }
                }
            );
			
			ModAPI.Register(
			    new Modification()
				{
					OriginalItem = ModAPI.FindSpawnable("Pistol"),
					NameOverride = "[F] Makarov",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/makarov.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01300Slide = Instance.transform.Find("Slide");
                        AK01300Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("makarov/slide.png", 10f);
						
						AK01300Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("makarov/gun.png", 10f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						customCartridge.Recoil *= 1f;

						
						firearm.casingPosition = new Vector3(0f,0.1f);						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.1600f, 0.0800f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("makarov.mp3"),

                        };
			        }
                }
            );
			
			ModAPI.Register(
			    new Modification()
				{
				    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "[F] AK-47",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/47.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01000Slide = Instance.transform.Find("Slide");
                        AK01000Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bolt.png", 6f);
						
						AK01000Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("47/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						customCartridge.Recoil *= 0.5f;
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("47/ak.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("aks.mp3"),

                        };
			        }
                }
            );
			
			ModAPI.Register(
			    new Modification()
				{
				    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "[F] AN-94",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/an94.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01000Slide = Instance.transform.Find("Slide");
                        AK01000Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("an94bolt.png", 6f);
						
						AK01000Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("an94/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						customCartridge.Recoil *= 0.5f;
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("an94/gun.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("modernaks.wav"),

                        };
			        }
                }
            );
			
			
			ModAPI.Register(
			    new Modification()
				{
				    OriginalItem = ModAPI.FindSpawnable("Soviet Submachine Gun"),
					NameOverride = "[F] PKM",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/pkm.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01000Slide = Instance.transform.Find("Slide");
                        AK01000Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("nobolt.png", 1000f);
						
						AK01000Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("pkm/gun.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						customCartridge.Recoil *= 0.5f;
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(-0.1f,0.1f);
												
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1100f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("aks.mp3"),

                        };
			        }
                }
            );
			
			ModAPI.Register(
			    new Modification()
				{
				    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "[F] RPK",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/rpk.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01000Slide = Instance.transform.Find("Slide");
                        AK01000Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rpkbolt.png", 6f);
						
						AK01000Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rpk/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						customCartridge.Recoil *= 0.5f;
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("rpk/gun.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6000f, 0.1100f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("aks.mp3"),					
                        };
			        }
                }
            );
			
			ModAPI.Register(
			    new Modification()
				{
				    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "[F] SKS",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/sks.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01000Slide = Instance.transform.Find("Slide");
                        AK01000Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sks/bolt.png", 8f);
						
						AK01000Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sks/gun.png", 8f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						customCartridge.Recoil *= 0.5f;
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("sks/gun.png", 8f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6300f, 0.0700f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("sks.mp3"),

                        };
			        }
                }
            );
			
			ModAPI.Register(
			    new Modification()
				{
				    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "[F] Dragunov sniper rifle",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/svd.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01000Slide = Instance.transform.Find("Slide");
                        AK01000Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("svdbolt.png", 8f);
						
						AK01000Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("svd/back.png", 8f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						
						customCartridge.Damage *= 0.8f;
						customCartridge.Recoil *= 0.5f;
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(-0.2f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("svd/gun.png", 8f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.6600f, 0.0500f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						
						firearm.ShotSounds = new AudioClip[]
                        {
							ModAPI.LoadSound("svd 2.wav"),
                        };
			        }
                }
            );
			
			ModAPI.Register(
			    new Modification()
				{
		            OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
					NameOverride = "[F] PP-19 Bizon",
					NameToOrderByOverride = "!",
					DescriptionOverride = "ak",
					CategoryOverride = ModAPI.FindCategory("Firearms"),
					ThumbnailOverride = ModAPI.LoadSprite("icon/bizon.png"),
					AfterSpawn = (Instance) =>
					{
						ModAPI.KeepExtraObjects();
						
						var AK01100Slide = Instance.transform.Find("Slide");
                        AK01100Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("pp19bolt.png", 6f);
						
						AK01100Slide.GetComponent<SpriteRenderer>().sortingLayerName = "Default";
						
						Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bizon/back.png", 6f);
						Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Background";
						
						var firearm = Instance.GetComponent<FirearmBehaviour>();
						
						Cartridge customCartridge = ModAPI.FindCartridge("9mm");
						
						
						firearm.Cartridge = customCartridge;
						
						customCartridge.name = "cartridge";
						

						
						customCartridge.Recoil *= 1f;
						
						customCartridge.ImpactForce *= 0.1f;
						
						firearm.casingPosition = new Vector3(0f,0.1f);
						
						
						var childObject = new GameObject("ChildObject");
                        childObject.transform.SetParent(Instance.transform);
                        childObject.transform.localPosition = new Vector3(0f, 0f); //offset 
                        childObject.transform.rotation = Instance.transform.rotation;
                        childObject.transform.localScale = new Vector3(1f, 1f);
                        var childSprite = childObject.AddComponent<SpriteRenderer>();
                        childSprite.sprite = ModAPI.LoadSprite("bizon/gun.png", 6f);
                        childSprite.sortingLayerName = "Default";
						
						foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.AddComponent<BoxCollider2D>();
                        Instance.GetComponent<PhysicalBehaviour>().colliders = Instance.GetComponentsInChildren<Collider2D>();

					    Instance.FixColliders();
						Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.4400f, 0.1200f);
						Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
						Instance.GetComponent<FirearmBehaviour>().InitialInaccuracy = 0.0115f;
						firearm.ShotSounds = new AudioClip[]
                        {
                            ModAPI.LoadSound("sound.mp3"),

                        };
			        }
                }
            );
		}
	}
}	